Skip to content

getQuoteOperation

READ

Get quote operation.

POST /api/v1/sales/getQuoteOperation
curl -X POST '<your-host>/api/v1/sales/getQuoteOperation' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "quoteOperationId": "string"
  }'
Response
{
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "description": "string",
  "id": "string",
  "inspectionDocumentId": "string",
  "laborRate": 0,
  "laborTime": 0,
  "laborUnit": "Hours/Piece",
  "machineRate": 0,
  "machineTime": 0,
  "machineUnit": "Hours/Piece",
  "operationLeadTime": 0,
  "operationMinimumCost": 0,
  "operationOrder": "After Previous",
  "operationSupplierProcessId": "string",
  "operationType": "Process",
  "operationUnitCost": 0,
  "order": 0,
  "overheadRate": 0,
  "procedureId": "string",
  "processId": "string",
  "quoteId": "string",
  "quoteLineId": "string",
  "quoteMakeMethodId": "string",
  "setupTime": 0,
  "setupUnit": "Hours/Piece",
  "tags": [
    "string"
  ],
  "updatedAt": "string",
  "updatedBy": "string",
  "workCenterId": "string",
  "workInstruction": "…"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "quoteOperationId": {
      "type": "string"
    }
  },
  "required": [
    "quoteOperationId"
  ]
}